Match mercury xpath rules with objectFormats being used

2010-06-22 02:50 - Dave Vieglais

Status: Closed Start date:  

Priority: High Due date:  

Assignee: Rob Nahf % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version: CCI-0.4   

Milestone: None Story Points:  

Product Version: *   

Description

For each objectFormat in use by DataONE, ensure that there is a corresponding set of xpath rules that can be used by the Mercury

indexer to extract the necessary information from the metadata documents and output the information correctly.

Task tickets for adding missing formats should be created rather than overloading this ticket

History

#1 - 2010-07-01 16:06 - Rob Nahf

perl program written to compare xpath rules against sample files.  Waiting for definitive list of formats. (xpath rules don't align with schema, and more

rules than found in example files.

#2 - 2010-08-12 20:52 - Rob Nahf

system changed behavior, so Mercury is using one schema.xml and xpath.xml file for all objectFormats.  (Basically, a superset of terminology). 

Invalid ticket, now.
